cascading.tuple.util

## Class TupleHasher.HashFunction

- java.lang.Object
- - cascading.tuple.util.TupleHasher.HashFunction

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  TupleHasher

    public static class TupleHasher.HashFunction
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TupleHasher.HashFunction()`

### Method Summary

Methods
`int` `hash(Tuple tuple, Hasher[] hashers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TupleHasher.HashFunction

    public TupleHasher.HashFunction()

### Method Detail

#### hash

    public int hash(Tuple tuple,
           Hasher[] hashers)